This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 947440 - 3.8.1-12 breaks building on ARM
3.8.1-12 breaks building on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-04-02 08:32 EDT by Peter Robinson
Modified: 2013-04-20 15:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 15:13:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-04-02 08:32:22 EDT
3.8.1-12 breaks building on ARM for some reason, all builds up to 3.8.1-11 built fine so I'm not sure what's changed to break the CPU detection

* Wed Mar 20 2013 Mark Wielaard <mjw@redhat.com> 3.8.1-12
- Add valgrind-3.8.1-text-segment.patch 
- Don't undefine _missing_build_ids_terminate_build. 

checking for a supported version of gcc... ok (4.8.0)
checking build system type... armv7hl-redhat-linux-gnu
checking host system type... armv7hl-redhat-linux-gnu
checking for a supported CPU... no (armv7hl)
configure: error: Unsupported host architecture. Sorry

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=9521
Comment 1 Mark Wielaard 2013-04-02 08:45:03 EDT
Sorry about that. That change also regenerated the configure script and had the following hunk in it:

+@@ -5328,7 +5328,7 @@
+         ARCH_MAX="s390x"
+         ;;
+ 
+-     armv[57]*)
++     armv57*)
+       { $as_echo "$as_me:${as_lineno-$LINENO}: result: ok (${host_cpu})" >&5
+ $as_echo "ok (${host_cpu})" >&6; }
+       ARCH_MAX="arm"

That seems pretty wrong. Need to track down where that came from.
Comment 2 Jakub Jelinek 2013-04-02 08:48:11 EDT
Maybe m4 ate it?  Missing changequote around it to prevent [] being eaten?
Comment 3 Fedora Update System 2013-04-02 16:08:33 EDT
valgrind-3.8.1-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/valgrind-3.8.1-13.fc19
Comment 4 Fedora Update System 2013-04-20 15:13:55 EDT
valgrind-3.8.1-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.